Authenticate a user based on a Stytch session token (B2B version)
curl --request POST \
--url https://api-dev.narrative.io/authentication/b2b/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stytch_session_token": "1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0"
}
'import requests
url = "https://api-dev.narrative.io/authentication/b2b/login"
payload = { "stytch_session_token": "1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stytch_session_token: '1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0'})
};
fetch('https://api-dev.narrative.io/authentication/b2b/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": 10,
"name": "First Last",
"role": "partner_admin",
"company_id": 100,
"company_name": "ACME Corp"
},
"api_token": {
"access_token": "OI2Sfun5GnOS9zk0irkc3w==",
"access_token_expires_in": 1000,
"refresh_token": "yZYCdZrvHvlnEQw9/C640Q",
"refresh_token_expires_in": 10000
}
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Authentication
Authenticate a user based on a Stytch session token (B2B version)
Authenticate the user based on the Stytch session token, and return the user information, and API Access Token.
POST
/
authentication
/
b2b
/
login
Authenticate a user based on a Stytch session token (B2B version)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Stytch session token
Was this page helpful?
⌘I

